Skip to content
Start here

Delete an ASN

botnet_feed.configs.asn.delete(intasn_id, ASNDeleteParams**kwargs) -> ASNDeleteResponse
DELETE/accounts/{account_id}/botnet_feed/configs/asn/{asn_id}

Delete an ASN from botnet threat feed for a given user.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Botnet Feed Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
asn_id: int
ReturnsExpand Collapse
class ASNDeleteResponse:
asn: Optional[int]

Delete an ASN

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
asn = client.botnet_feed.configs.asn.delete(
    asn_id=0,
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(asn.asn)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "asn": 13335
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "asn": 13335
  }
}